/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.beans.entity.ecross;

import javax.jdo.PersistenceManager;
import kr.co.kihyun.beans.entity.MDept;
import kr.co.kihyun.beans.entity.MoumiEntity;
import kr.co.kihyun.beans.entity.util.MPersistenceManager;
import kr.co.kihyun.moumi.MoumiConfig;

/**
 *
 * @author bhs
 */
public enum NeisParty {
	A00(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.a00")),
	B10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.b10")),
	C10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.c10")),
	D10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.d10")),
	E10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.e10")),
	F10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.f10")),
	G10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.g10")),
	H10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.h10")),
        I10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.i10")),
	J10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.j10")),
	K10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.k10")),
	M10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.m10")),
	N10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.n10")),
	P10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.p10")),
	Q10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.q10")),
	R10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.r10")),
	S10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.s10")),
	T10(MoumiConfig.getMessageBundle().getString("moumi.message.neisParty.t10"));

	private String name;

	private NeisParty(String name) {
		this.name = name;
	}

	public String getLocalizedName() {
		return this.name;
	}
}
